Sponsored Links

Sponsored Links

 

F1 2010 is the First PS3 Game to Require 3.42 Firmware?

1150°
209w ago - According to PSGroove (linked above) and DJLO at [Register or Login to view links], F1 2010 is the first PS3 Game to require updating to PlayStation 3 Firmware version 3.42 which blocks both PSJailBreak and the PS3 Proxy Methods.

I was on IRC and the news broke, apparently it requires you to update and if you cancel, it takes you back to the PS3 XMB. The war has just began and Sony made the first move: User 0 vs Sony 1.

For those curious about other PS3 game compatibility with PSJailBreak, PSGroove and PSFreedom be sure to check out the PS3 JailBreak Game Compatibility List and add to it if possible.

To quote: "If you ignore the game's warnings, it throws you back to the XMB. Technically this should just require some editing to the PARAM.SFO's version, in order to get the game to boot on 3.41. However, time will tell."
 
Sponsored Links

Sponsored Links
Sponsored Links

Sponsored Links






Advertising - Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News

Sponsored Links